#ifndef _AKAI_H
#define _AKAI_H

#include <linux/fs.h>
#include "akaitypes.h"

int init_ptable(struct super_block*, struct akaifs_layout*);
int resolve_vol_bynr(struct super_block*, int, int, char*, int*);
int resolve_vol_byname(struct super_block*, int, char*, int*);
int resolve_file_bynr(struct super_block*, int, int, int, char*, int*);
int resolve_file_byname(struct super_block*, int, int, char*, int*);
void getfileprop(struct super_block *, int, int, int, unsigned long*, int*);
int fatget(struct super_block*, int, int);
int getfileblock(struct super_block*, int, int, int, unsigned long, void*);

#endif
