#include "akaitypes.h"

unsigned char * akaii2ascii(unsigned char * d, int n) 
{
  int i;

  for (i=0; i<n; i++)
    {
      if (d[i] <= 9)
	{
	  d[i] = d[i] + '0';
	}
      else
	{
	  if ((d[i] >= 11) & (d[i] <=36))
	    {
	      d[i] = d[i] + 'A' - 11;
	    }
	  else
	    {
	      switch(d[i])
		{
		   case 10: d[i] = ' '; break;
    		   case 37: d[i] = '#'; break;
		   case 38: d[i] = '+'; break;
		   case 39: d[i] = '-'; break;
		   case 40: d[i] = '.'; break;
		   default: d[i] = '?'; break;
		}
	    }
	}
    }

  return d;
}

unsigned char * ascii2akaii(unsigned char * d, int n)
{
  int i;

  for (i=0; i<n; i++)
    {
      if ((d[i] >= '0') && (d[i] <= '9'))
	{
	  d[i] = d[i] - '0';
	}
      else
	{
	  if ((d[i] >= 'A') & (d[i] <= 'Z'))
	    {
	      d[i] = d[i] - 'A' + 11;
	    }
	  else
	    {
	      if ((d[i] >= 'a') & (d[i] <= 'z'))
		{
		  d[i] = d[i] - 'a' + 11;
		}
	      else
		{
		  switch(d[i])
		    {
		      case ' ': d[i] = 10; break;
		      case '#': d[i] = 37; break;
		      case '+': d[i] = 38; break;
		      case '-': d[i] = 39; break;
		      case '.': d[i] = 40; break;
		      default: d[i] = '.'; break;
		    }
		}
	    }
	}
    }

  return d;
}
